Subject: Re: bug#11471: Message incorrectly marked as c-format

From: Eric Blake <[email-masked]>
Date: Mon, 14 May 2012 12:36:24 -0600

merge 11470 11471
thanks

On 05/14/2012 12:15 PM, Göran Uddeborg wrote:
> This message in the 8.17 message file is written using fputs(), but it
> is anyway marked as c-format.  This is a problem since the % sign in
> the description of --goal is taken as a formatting directive (of an
> unsigned int written in octal, with the "space" flag).  This causes
> problems when translating.  The effect of the validation of the
> translation complains if the word following the percent sign doesn't
> start with an "o", or other letter which is "compatible" in printf's
> sense.  (And in Swedish I would like it to start with an "a".)
> 
> 
> #: src/fmt.c:285
> #, c-format
> msgid ""
> "  -t, --tagged-paragraph    indentation of first line different from second\n"
> "  -u, --uniform-spacing     one space between words, two after sentences\n"
> "  -w, --width=WIDTH         maximum line width (default of 75 columns)\n"
> "  -g, --goal=WIDTH          goal width (default of 93% of width)\n"

Yep, you're the second person to report that today.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org